Subject: Re: [PATCH v11 2/5] command-list.txt: add the common groups block

From: Junio C Hamano <[email-masked]>
Date: Tue, 26 May 2015 12:13:27 -0700

Eric Sunshine <[email-masked]> writes:

>>>> +history      grow, mark and tweak your common history
>>>> +remote       collaborate (see also: git help workflows)
>>>> +
>>>> +# List of known git commands.
>>>
>>> This is odd. The above line was removed in 1/5 but then re-appears
>>> here in 2/5. I think the intent is that it should remain removed.
>>>
>>>>   ### command list (do not change this line)
>>>>   # command name                          category [deprecated] [common]
>>>>   git-add                                 mainporcelain common
>>
>> My mistake. This will be corrected in the next version. Thank you for taking
>> time to review this series.
>
> Junio already made these corrections locally when he picked up the
> series. Take a look at his 'pu' branch, and you'll find the series
> there with the corrections[1]. Thus, no need to re-send.
>
> [1]: Series currently merged into 'pu' at de905cf0.

Yeah, resurrecting "List of known git commands." does look somewhat
strange, but looking at what this step does, especially this bit:

> diff --git a/command-list.txt b/command-list.txt
> index 181a9c2..32ddab3 100644
> --- a/command-list.txt
> +++ b/command-list.txt
> @@ -1,3 +1,14 @@
> +# common commands are grouped by themes
> +# these groups are output by 'git help' in the order declared here.
> +# map each common command in the command list to one of these groups.
> +### common groups (do not change this line)
> +init         start a working area (see also: git help tutorial)
> +worktree     work on the current change (see also: git help everyday)

I do not think we would terribly mind an introductory comment that
applies to the next "###" block before it, e.g.

    # list of known git commands; ordered alphabetically
    # for easy spotting
    ### command list (do not change this line)

For some reason the patch seems to want to spell that comment in all
lowercase, so I just imitated it here.

In any case, if somebody wants to add such a comment there for
symmetry, that can be done as a follow-up patch after dust from
these patches settles, I think.  Let's have these 5 patches graduate
to 'next' without further bikeshedding ;-)